Summary:	Small library to encapsulate data in an encrypted structure
Summary(pl.UTF-8):	Mała biblioteka do hermetyzacji danych w zaszyfrowanej strukturze
Name:		libgringotts
Version:	1.2.1
Release:	6
License:	GPL
Group:		Libraries
Source0:	http://prdownload.berlios.de/gringotts/%{name}-%{version}.tar.bz2
# Source0-md5:	ccea1078679d79c924842fad40de4102
URL:		http://gringotts.berlios.de/
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	mhash-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libGringotts is a thread-safe C library that allows the programmer to
save data in a particular file format. The data are compressed and
encrypted with a strong encryption algorithm, and saved to the disk in
a secure way. The library gives control over every algorithm involved
in the process, and provides additional security-related utility
functions.

%description -l pl.UTF-8
libGringotts jest biblioteką C nadającą się do użytku w programach
wielowątkowych, która pozwala na zapisywanie danych w konkretnych
formatach plików. Dane są kompresowane, szyfrowane silnym algorytmem
i zapisywane na dysku w bezpieczny sposób. Biblioteka ta daje kontrolę
nad każdym użytym algorytmem i udostępnia dodatkowe, bezpieczne
funkcje użytkowe.

%package devel
Summary:	Headers for libgringotts
Summary(pl.UTF-8):	Pliki nagłówkowe libgringotts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files needed to develop applications with libGringotts.

%description devel -l pl.UTF-8
Pliki potrzebne do tworzenia aplikacji używających libGringotts.

%package static
Summary:	Static version of libgringotts
Summary(pl.UTF-8):	Statyczna wersja libgringotts
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	bzip2-devel
Requires:	libmcrypt-devel
Requires:	mhash-devel
Requires:	zlib-devel

%description static
Static version of libgringotts.

%description static -l pl.UTF-8
Statyczna wersja libgringotts.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf libgringotts.so.2.0.7 \
	$RPM_BUILD_ROOT%{_libdir}/libgringotts.so

# docdir was not empty
rm -rf $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO docs/manual.htm
%attr(755,root,root) %{_libdir}/libgringotts.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgringotts.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Sun May 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgringotts.git;a=log;h=master

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> b5a958c
- release 6 (by relup.sh)

* Wed Jan 08 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c773917
- manual.htm packaged
- ghost soname symlink
- rel 5

* Sun Feb 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ff8cf7c
- current url

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e5aa42a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a13eec6
- converted to UTF-8

* Sat Dec 11 2004 ankry <ankry@pld-linux.org> 265dd9a
- rel. 4

* Sun May 30 2004 Jakub Bogusz <qboosh@pld-linux.org> f9fb990
- fixed build on amd64, strict internal deps, -devel deps, release 3

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 7077f47
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b4a8d7c
- massive attack s/pld.org.pl/pld-linux.org/

* Sat May 03 2003 radek <radek@pld-linux.org> 3977831
- release 2: fixed libgringotts.so symlink

* Tue Apr 29 2003 grzegol <grzegol@pld-linux.org> e7ad790
- updated to 1.2.1

* Thu Apr 17 2003 Jakub Bogusz <qboosh@pld-linux.org> 298d284
- pl fix, use relative symlink in same directory

* Wed Apr 16 2003 grzegol <grzegol@pld-linux.org> 3259538
- new

